Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface LocalJBossServerDomainMBean

All Superinterfaces:
  J2EEDomainMBean, J2EEManagedObjectMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  LocalJBossServerDomain

public interface LocalJBossServerDomainMBean
extends J2EEDomainMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.ObjectName` | `getCMDeployer()`
`javax.management.ObjectName` | `getEARDeployer()`
`javax.management.ObjectName` | `getEJBDeployer()`
`javax.management.ObjectName` | `getJMSService()`
`javax.management.ObjectName` | `getJNDIService()`
`javax.management.ObjectName` | `getJTAService()`
`javax.management.ObjectName` | `getMailService()`
`javax.management.ObjectName` | `getMainDeployer()`
`Class` | `getManagementObjFactoryMapClass()`
`javax.management.ObjectName` | `getRARDeployer()`
`javax.management.ObjectName` | `getRMI_IIOPService()`
`javax.management.ObjectName` | `getSARDeployer()`
`javax.management.ObjectName` | `getUserTransactionService()`
`javax.management.ObjectName` | `getWARDeployer()`
`void` | `setCMDeployer(javax.management.ObjectName name)`
`void` | `setEARDeployer(javax.management.ObjectName name)`
`void` | `setEJBDeployer(javax.management.ObjectName name)`
`void` | `setJMSService(javax.management.ObjectName name)`
`void` | `setJNDIService(javax.management.ObjectName name)`
`void` | `setJTAService(javax.management.ObjectName name)`
`void` | `setMailService(javax.management.ObjectName name)`
`void` | `setMainDeployer(javax.management.ObjectName name)`
`void` | `setManagementObjFactoryMapClass(Class cls)`
`void` | `setRARDeployer(javax.management.ObjectName name)`
`void` | `setRMI_IIOPService(javax.management.ObjectName name)`
`void` | `setSARDeployer(javax.management.ObjectName name)`
`void` | `setUserTransactionService(javax.management.ObjectName name)`
`void` | `setWARDeployer(javax.management.ObjectName name)`

Methods inherited from interface org.jboss.management.j2ee.J2EEDomainMBean
`addChild, getserver, getservers, removeChild`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getMainDeployer

    public javax.management.ObjectName getMainDeployer()

### setMainDeployer

    public void setMainDeployer(javax.management.ObjectName name)

### getSARDeployer

    public javax.management.ObjectName getSARDeployer()

### setSARDeployer

    public void setSARDeployer(javax.management.ObjectName name)

### getEARDeployer

    public javax.management.ObjectName getEARDeployer()

### setEARDeployer

    public void setEARDeployer(javax.management.ObjectName name)

### getEJBDeployer

    public javax.management.ObjectName getEJBDeployer()

### setEJBDeployer

    public void setEJBDeployer(javax.management.ObjectName name)

### getRARDeployer

    public javax.management.ObjectName getRARDeployer()

### setRARDeployer

    public void setRARDeployer(javax.management.ObjectName name)

### getCMDeployer

    public javax.management.ObjectName getCMDeployer()

### setCMDeployer

    public void setCMDeployer(javax.management.ObjectName name)

### getWARDeployer

    public javax.management.ObjectName getWARDeployer()

### setWARDeployer

    public void setWARDeployer(javax.management.ObjectName name)

### getJMSService

    public javax.management.ObjectName getJMSService()

### setJMSService

    public void setJMSService(javax.management.ObjectName name)

### getJNDIService

    public javax.management.ObjectName getJNDIService()

### setJNDIService

    public void setJNDIService(javax.management.ObjectName name)

### getJTAService

    public javax.management.ObjectName getJTAService()

### setJTAService

    public void setJTAService(javax.management.ObjectName name)

### getMailService

    public javax.management.ObjectName getMailService()

### setMailService

    public void setMailService(javax.management.ObjectName name)

### getUserTransactionService

    public javax.management.ObjectName getUserTransactionService()

### setUserTransactionService

    public void setUserTransactionService(javax.management.ObjectName name)

### getRMI_IIOPService

    public javax.management.ObjectName getRMI_IIOPService()

### setRMI_IIOPService

    public void setRMI_IIOPService(javax.management.ObjectName name)

### getManagementObjFactoryMapClass

    public Class getManagementObjFactoryMapClass()

### setManagementObjFactoryMapClass

    public void setManagementObjFactoryMapClass(Class cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.